Subject: How to get Pine to display long lines wrapped?

From: Mark Shirley <[email-masked]>
Date: Tue, 4 Apr 1995 14:13:43 PDT

(Sorry if this has been asked a million times before ... I couldn't
find the answer in the FAQ.)

Is there a way to get Pine to display long lines wrapped over several
lines the way Emacs can?

In Gnu Emacs, for instance, the variable truncate-lines set to t
causes the display algorithm to truncate long lines the way pine/pico
does.  Setting it to nil causes the display algorithm to wrap long
lines.  This has nothing to do with the actual contents of the buffer
(e.g., I think I understand about the -w flag, but it's not the answer
here.)

The reason we'd like this is that we're trying to use pine or pico as
a code editor in a MOO client.  Lines that extend off of the screen
make reading the code difficult, and automatically inserting CR's when
the user types close to the edge of the screen is not very convenient
either.

Any help with pine/pico or pointers to similar editors with this
flexibility in their display algorithms would be greatly appreciated.
 Thank you,
    Mark Shirley
    Xerox PARC